@import url('https://fonts.googleapis.com/css2?family=Varela+Round&display=swap');

:root {
    --overlay-color: #053058;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Varela Round', sans-serif;
}

.showcase {
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #000;
    color: #FFF;
    z-index: 2;
    transition: 0.9s;
}

.showcase.active {
    right: 300px;
}


.showcase header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 100px;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.showcase video {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
    opacity: 0.8;
}

.text {
    position: relative;
    z-index: 10;
}

.text-sm {
    font-size: 0.6em;
}

.text h2 {
    font-size: 5em;
    font-weight: 800;
    line-height: 1em;
    text-transform: uppercase;
}

.text h3 {
    font-size: 4em;
    font-weight: 700;
    line-height: 1em;
    text-transform: uppercase;
}

.text p {
    font-size: 1.6em;
    margin: 20px 0;
    font-weight: 400;
    max-width: 700px;
}

.text a {
    display: inline-block;
    font-size: 1em;
    background-color: #FFF;
    padding: 15px 30px;
    text-decoration: none;
    color: #111;
    margin-top: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: 0.2s;
}

.text a:hover {
    letter-spacing: 6px;
}


.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: var(--overlay-color);
    mix-blend-mode: overlay;
}

.toogle {
    position: relative;
    width: 60px;
    height: 60px;
    background: url(../images/menu.svg);
    background-repeat: no-repeat;
    background-size: 35px;
    background-position: center;
    cursor: pointer;
    filter: invert(1);
    border: 1px solid #000 !important;
    border-radius: 50%;
}

.toogle.active {
    background: url(../images/close.svg);
    background-repeat: no-repeat;
    background-size: 35px;
    background-position: center;
    filter: invert(1);
    cursor: pointer;
}

.logo {
    text-transform: uppercase;
    cursor: pointer;
}

.icon-sm {
    width: 35px;
    height: 25px;
    filter: invert(1);
}

.logo-image {
    height: 25px;
    filter: invert(1);
}

.social {
    position: absolute;
    bottom: 20px;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
}

.social li {
    list-style: none;
    margin: 10px;
}

.social li a {
    display: inline-block;
    transform: scale(1.2);
    transition: 0.5s;
}

.social li a:hover {
    transform: scale(1.2) translateY(-10px);
}

.menu {
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu ul {
    position: relative;
    list-style: none;
}

.menu ul li {
    margin-bottom: 20px;
}

.menu ul li a {
    text-decoration: none;
    font-size: 24px;
    font-weight: 300;
    color: #111;
}

.menu ul li a:hover {
    color: var(--overlay-color);
    border-bottom: 1px solid var(--overlay-color);
}


@media (max-width: 991px) {

    .showcase,
    .showcase header {
        padding: 40px;
    }

    .text h2 {
        font-size: 3em;
    }
}

@media (max-width: 480px) {

    .showcase,
    .showcase header {
        padding: 40px;
    }

    .text h2 {
        font-size: 2.5em;
    }

    .text p {
        font-size: 1.4em;
    }
}